Skip to main content
GET
GeoFRED Regional Data

Request contract

  • Method and path: GET /apis/v1/geofred/regional/data
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/geofred/regional/data
  • aggregation_method: query; optional
  • date: query; required
  • file_type: query; optional
  • frequency: query; required
  • region_type: query; required
  • season: query; required
  • series_group: query; required
  • start_date: query; optional
  • transformation: query; optional
  • units: query; required
  • Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 1e-05
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

aggregation_method
enum<string>
default:avg

string, optional, default: avg One of the following values: 'avg', 'sum', 'eop' avg = Average sum = Sum eop = End of Period avg = Average sum = Sum eop = End of Period

Available options:
avg,
sum,
eop
date
string<date>
required

The date you want to pull a series group data from. YYYY-MM-DD formatted string, required

file_type
enum<string>
default:xml

A key or file extension that indicates the type of file to send. One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.

Available options:
xml,
json
frequency
enum<string>
required

Frequency automatically assigns the default frequency of the map when using the Request Wizard above. The parameter can be used as a frequency aggregation feature. The maps frequency aggregation feature converts higher frequency data series into lower frequency data series (e.g. converts a monthly data series into an annual data series). In maps, the highest frequency data is daily, and the lowest frequency data is annual. There are 3 aggregation methods available- average, sum, and end of period. See the aggregation_method parameter. string One of the following values: 'd', 'w', 'bw', 'm', 'q', 'sa', 'a', 'wef', 'weth', 'wew', 'wetu', 'wem', 'wesu', 'wesa', 'bwew', 'bwem' Frequencies without period descriptions: d = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual Frequencies with period descriptions: wef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday d = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual wef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday

Available options:
d,
w,
bw,
m,
q,
sa,
a,
wef,
weth,
wew,
wetu,
wem,
wesu,
wesa,
bwew,
bwem
region_type
enum<string>
required

The region you want to pull data for. string, required One of the following values: bea msa frb necta state country county censusregion bea msa frb necta state country county censusregion

Available options:
bea,
msa,
frb,
necta,
state,
country,
county,
censusregion
season
string
required

The seasonality of the series group. string, required, five possible SA (Seasonally Adjusted), NSA (Not Seasonally Adjusted), SSA (Smoothed Seasonally Adjusted), SAAR (Seasonally Adjusted Annual Rate), or NSAAR (Not Seasonally Adjusted Annual Rate)

series_group
string
required

The ID for a group of series found in FRED. string, required

start_date
string<date>

The start date you want to request series group data from. This allows you to pull a range of data YYYY-MM-DD formatted string, optional

transformation
enum<string>
default:lin

A key that indicates a data value transformation. string, optional, default: lin (No transformation) One of the following values: 'lin', 'chg', 'ch1', 'pch', 'pc1', 'pca', 'cch', 'cca', 'log' lin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log lin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log For unit transformation formulas, see: https://alfred.stlouisfed.org/help#growth_formulas

Available options:
lin,
chg,
ch1,
pch,
pc1,
pca,
cch,
cca,
log
units
string
required

The units of the series you want to pull. string, required

Response

Successful response